List namespaces
Returns namespace summaries, newest first, filterable by creation time (`after`, `before`).
GET
Returns namespace summaries, newest first, filterable by creation time (after, before). Pass nextCursor back as cursor for the next page; it is null on the last page. Read a namespace's metadata with GET /v1/namespaces/{id}.
apiKeyheader
x-api-key<token>limit?|nullcursor?stringafter?stringbefore?stringNamespacePage
application/json- response
items*array<>nextCursor*string|nullimport { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.namespaces.list({});Example Response
{
"items": [
{
"id": "string",
"name": "string",
"createdAt": "string"
}
],
"nextCursor": "string"
}